%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             log4j-jboss-logmanager
Version:          1.1.2
Release:          4%{dist}
Summary:          JBoss Log4j Emulation
License:          ASL 2.0
Url:              https://github.com/jboss-logging/log4j-jboss-logmanager
Source0:          https://github.com/jboss-logging/log4j-jboss-logmanager/archive/%{namedversion}.tar.gz

BuildRequires:    maven-local
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(log4j:log4j)
BuildRequires:    mvn(org.apache.maven.plugins:maven-shade-plugin)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    mvn(org.jboss.logging:jboss-logging)
BuildRequires:    mvn(org.jboss.logmanager:jboss-logmanager)
BuildRequires:    mvn(org.jboss.modules:jboss-modules)

Provides:         bundled(log4j12) = 1.2.17-15

BuildArch:        noarch

%description
This package contains the JBoss Log4J Emulation.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n log4j-jboss-logmanager-%{namedversion}

cp -p src/main/resources/META-INF/LICENSE .
cp -p src/main/resources/META-INF/NOTICE .
sed -i 's/\r//' LICENSE NOTICE

sed -i 's/createSourcesJar>true/createSourcesJar>false/' pom.xml

# Let's disable doclint
%pom_add_plugin org.apache.maven.plugins:maven-javadoc-plugin pom.xml "
                <configuration>
                    <additionalparam>-Xdoclint:none</additionalparam>
                </configuration>
"

%build

# Tests run: 36, Failures: 0, Errors: 0, Skipped: 7
# Test suite disable cause:
# The forked VM terminated without properly saying goodbye. VM crash or System.exit called?
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Tue Apr 18 2017 Benjamin Lefoul <lef@fedoraproject.org> - 1.1.2-4
- Fix Provides for log4j and disable doclint

* Tue Feb 07 2017 gil cattaneo <puntogil@libero.it> 1.1.2-3
- fix FTBFS

* Sat Jun 04 2016 gil cattaneo <puntogil@libero.it> 1.1.2-2
- bundle log4j12

* Fri May 27 2016 gil cattaneo <puntogil@libero.it> 1.1.2-1
- update to 1.1.2.Final
- introduce license macro
- use BR mvn()-like
- fix some rpmlint problem

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 09 2014 Marek Goldmann <mgoldman@redhat.com> - 1.1.0-1
- Upstream release 1.1.0.Final

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 03 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.2-1
- Initial packaging


